diff -urN linux.0/include/linux/fs.h linux.10/include/linux/fs.h
--- linux.0/include/linux/fs.h	Tue Jan 15 04:50:03 2002
+++ linux.10/include/linux/fs.h	Tue Jan 15 04:51:39 2002
@@ -21,6 +21,8 @@
 #include <linux/cache.h>
 #include <linux/stddef.h>
 #include <linux/string.h>
+#include <linux/aio.h>
+#include <linux/aio_abi.h>
 
 #include <asm/atomic.h>
 #include <asm/bitops.h>
@@ -845,6 +847,12 @@
 	/* in-kernel fully async api */
 	int (*kvec_read)(struct file *, kvec_cb_t, size_t, loff_t);
 	int (*kvec_write)(struct file *, kvec_cb_t, size_t, loff_t);
+
+	/* userland aio ops */
+	ssize_t (*aio_read)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_readx)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_write)(struct file *, struct kiocb *, struct iocb);
+	ssize_t (*aio_fsync)(struct file *, struct kiocb *, struct iocb);
 };
 
 struct inode_operations {
